.chat-box {
  /**
 * Style for the conversation section
 */
}

.chat-box * {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 1em;
}

.chat-box .chat-box__header {
  position: absolute;
  top: 0;
  left: 0;
  height: 45px;
  width: 100%;
  margin-bottom: 10px;
  background: #FFFFFF;
  background-image: -webkit-gradient(linear, left top, left bottom, from(#29F999), to(#007EF6));
  background-image: linear-gradient(180deg, #29F999 0%, #007EF6 100%);
  background-image: linear-gradient(135deg, #17EAD9 0%, #6078EA 100%);
}

.chat-box .chat-box__header img {
  margin: 10px;
}

.chat-box .chat-box__header .chat-box__header__close--btn {
  position: relative;
  float: right;
  width: 25px;
  height: 25px;
  margin: 10px;
  background: transparent url("../../src/assets/icons/close_icon.svg") center center/contain no-repeat;
  cursor: pointer;
}

.chat-box .chat-box__conversation {
  position: relative;
  top: 45px;
  height: calc(100% - (64px + 45px));
  /* height of the chat-box - input & header */
  overflow-y: scroll;
  scrollbar-width: none;
  /* Firefox */
  -ms-overflow-style: none;
  /* IE 10+ */
  scroll-padding-bottom: 0.5em;
}

.chat-box .chat-box__conversation::-webkit-scrollbar {
  /* Chrome/Safari */
  width: 0;
  height: 0;
}

.chat-box .chat-box__conversation .dots {
  width: 3em;
  padding: 1em;
  margin: 1em;
  background-color: #fff;
  position: relative;
  float: left;
  clear: both;
  border-radius: 40px 40px 40px 0;
  -webkit-box-shadow: 2px 1px 8px rgba(82, 82, 82, 0.42);
          box-shadow: 2px 1px 8px rgba(82, 82, 82, 0.42);
  scroll-margin-bottom: 1em;
}

.chat-box .chat-box__conversation .dots img {
  width: 100%;
}

.chat-box .chat-box__conversation .message {
  position: relative;
  max-width: 70%;
  padding: 2em;
  margin: 6px;
  word-wrap: break-word;
  font-family: "Open Sans", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Oxygen-Sans, Ubuntu, Cantarell, "Fira Sans", "Droid Sans", "Helvetica Neue", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}

.chat-box .chat-box__conversation .message.message--user {
  background-color: #c6dffb;
  float: right;
  clear: both;
  border-radius: 40px 40px 0 40px;
}

.chat-box .chat-box__conversation .message.message--bot {
  background-color: #d1fbf8;
  float: left;
  clear: both;
  border-radius: 40px 40px 40px 0;
}

.chat-box .chat-box__sendbox__container {
  width: inherit;
  position: absolute;
  bottom: 0;
  background-color: #fff;
}

.chat-box .chat-box__sendbox {
  border: 2px solid #4137ef;
  border-radius: 3.333em;
  height: 3.333em;
  width: 90%;
  margin: 10px auto;
  overflow: hidden;
}

.chat-box .chat-box__sendbox .chat-box__sendbox__form {
  overflow: hidden;
}

.chat-box .chat-box__sendbox .chat-box__sendbox__form input {
  height: inherit;
  width: calc(100% - 70px);
  padding: 12px;
  position: relative;
  float: left;
  border: none;
  font-family: "Open Sans", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Oxygen-Sans, Ubuntu, Cantarell, "Fira Sans", "Droid Sans", "Helvetica Neue", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}

.chat-box .chat-box__sendbox .chat-box__sendbox__form input::-webkit-input-placeholder {
  /* Chrome/Safari */
  font-style: italic;
}

.chat-box .chat-box__sendbox .chat-box__sendbox__form input:-moz-placeholder {
  /* Firefox */
  font-style: italic;
}

.chat-box .chat-box__sendbox .chat-box__sendbox__form input::-moz-placeholder {
  font-style: italic;
}

.chat-box .chat-box__sendbox .chat-box__sendbox__form input:-ms-input-placeholder {
  /* IE 10+ */
  font-style: italic;
}

.chat-box .chat-box__sendbox .chat-box__sendbox__form input:focus {
  outline-style: none;
}

.chat-box .chat-box__sendbox .chat-box__sendbox__form button {
  background: #fff url("../../src/assets/icons/send-icon.svg") center center/contain no-repeat;
  position: relative;
  float: right;
  width: 25px;
  height: 26px;
  margin: 7px 10px;
}

.chat-box .chat-box__sendbox .chat-box__sendbox__form button:active {
  opacity: 0.5;
}

.chat-box .chat-box__sendbox .chat-box__sendbox__form button:hover {
  cursor: pointer;
}

.chat-box .botlist {
  position: relative;
  float: left;
  clear: both;
  width: 70%;
  min-width: 17em;
  max-width: 27em;
  margin: 1em;
  word-wrap: break-word;
  background-color: #fff;
  border-radius: 40px 40px 40px 0;
  -webkit-box-shadow: 2px 1px 8px rgba(82, 82, 82, 0.42);
          box-shadow: 2px 1px 8px rgba(82, 82, 82, 0.42);
  font-family: "Open Sans", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Oxygen-Sans, Ubuntu, Cantarell, "Fira Sans", "Droid Sans", "Helvetica Neue", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}

.chat-box .botlist h1 {
  font-size: 1.125em;
  color: #4137ef;
  text-align: center;
  padding: 1em;
}

.chat-box .botlist ul li {
  list-style-type: none;
  border-top: 1px solid #D1D1D1;
  padding: 0 2em;
  height: 3em;
  line-height: 3em;
}

.chat-box .botlist ul li p {
  display: inline;
}

.chat-box .botlist button {
  position: relative;
  float: right;
  width: 2em;
  height: 2em;
  margin: 0.5em 0;
  background-image: url(../../src/assets/icons/info_icon.svg);
  background-color: #fff;
  background-size: contain;
  cursor: pointer;
}

.chat-box .botcard {
  position: relative;
  float: left;
  clear: both;
  width: 70%;
  min-width: 17em;
  max-width: 27em;
  margin: 1em;
  word-wrap: break-word;
  background-color: #fff;
  border-radius: 40px 40px 40px 0;
  -webkit-box-shadow: 2px 1px 8px rgba(82, 82, 82, 0.42);
          box-shadow: 2px 1px 8px rgba(82, 82, 82, 0.42);
  font-family: "Open Sans", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Oxygen-Sans, Ubuntu, Cantarell, "Fira Sans", "Droid Sans", "Helvetica Neue", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}

.chat-box .botcard h1 {
  font-size: 1.125em;
  color: #4137ef;
  text-align: center;
  padding: 1em;
}

.chat-box .botcard img {
  width: 100%;
  border-radius: 40px 40px 0 0;
}

.chat-box .botcard p {
  border-top: 1px solid #D1D1D1;
  padding: 1em 2em;
}

.chat-box .quick-response {
  position: relative;
  float: left;
  width: 100%;
  overflow-x: auto;
}

.chat-box .quick-response ul {
  white-space: nowrap;
  margin-bottom: 1em;
}

.chat-box .quick-response ul li {
  display: inline-block;
  height: 3em;
}

.chat-box .quick-response ul li button {
  font-family: "Open Sans", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Oxygen-Sans, Ubuntu, Cantarell, "Fira Sans", "Droid Sans", "Helvetica Neue", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  display: inline-block;
  border: 2px solid #4137ef;
  border-radius: 40px;
  margin: 0 1em;
  color: #4137ef;
  text-align: center;
  text-decoration: none;
  padding: 0 1em;
  height: 3em;
  background-color: #fff;
  cursor: pointer;
}

.chat-box .quick-response ul li button:hover {
  color: #fff;
  background-color: #4137ef;
}

.chat-box .botcounter {
  position: relative;
  float: left;
  clear: both;
  width: 70%;
  min-width: 17em;
  max-width: 27em;
  margin: 1em;
  word-wrap: break-word;
  background-color: #fff;
  border-radius: 40px 40px 40px 0;
  -webkit-box-shadow: 2px 1px 8px rgba(82, 82, 82, 0.42);
          box-shadow: 2px 1px 8px rgba(82, 82, 82, 0.42);
  font-family: "Open Sans", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Oxygen-Sans, Ubuntu, Cantarell, "Fira Sans", "Droid Sans", "Helvetica Neue", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
}

.chat-box .botcounter h1 {
  padding: 0.5em 0;
  font-size: 3em;
  text-align: center;
}

.chat-box .botcounter p {
  text-align: center;
  padding: 1em 0;
}

.chat-box .botcounter .botcounter--bar {
  width: 80%;
  margin: 0 auto;
  height: 1.3em;
  background-color: #D8D8D8;
  border-radius: 40px;
}

.chat-box .botcounter .botcounter--progress {
  width: 0;
  background-image: -webkit-gradient(linear, left top, right top, from(#17ead9), to(#6078ea));
  background-image: linear-gradient(to right, #17ead9, #6078ea);
  height: 100%;
  border-radius: 40px;
}

.chat-box .bottimer {
  position: relative;
  float: left;
  clear: both;
  width: 70%;
  min-width: 17em;
  max-width: 27em;
  margin: 1em;
  word-wrap: break-word;
  background-color: #fff;
  border-radius: 40px 40px 40px 0;
  -webkit-box-shadow: 2px 1px 8px rgba(82, 82, 82, 0.42);
          box-shadow: 2px 1px 8px rgba(82, 82, 82, 0.42);
  font-family: "Open Sans", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Oxygen-Sans, Ubuntu, Cantarell, "Fira Sans", "Droid Sans", "Helvetica Neue", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  padding: 2em 0;
}

.chat-box .bottimer h1 {
  font-size: 3em;
  text-align: center;
}

.chat-box .bottimer p {
  text-align: center;
}

.chat-box .botcarousel {
  position: relative;
  float: left;
  width: 100%;
}

.chat-box .botcarousel button {
  background-color: #fff;
  font-family: "Open Sans", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, Oxygen, Oxygen-Sans, Ubuntu, Cantarell, "Fira Sans", "Droid Sans", "Helvetica Neue", Helvetica, Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
  text-align: unset;
}

.chat-box .botcarousel .botcarousel--carousel__container {
  white-space: nowrap;
  overflow-x: scroll;
  scroll-behavior: smooth;
  scrollbar-width: none;
  /* Firefox */
  -ms-overflow-style: none;
  /* IE 10+ */
}

.chat-box .botcarousel .botcarousel--carousel__container::-webkit-scrollbar {
  /* Chrome/Safari */
  width: 0;
  height: 0;
}

.chat-box .botcarousel .botcarousel--carousel__container .botcarousel--car__el {
  display: inline-block;
  width: 17em;
  height: 25em;
  margin: 1em;
  background-color: #fff;
  border-radius: 40px;
  -webkit-box-shadow: 2px 1px 8px rgba(82, 82, 82, 0.42);
          box-shadow: 2px 1px 8px rgba(82, 82, 82, 0.42);
  word-wrap: break-word;
  white-space: normal;
  overflow: hidden;
  cursor: pointer;
  -webkit-transition: all 0.3s ease;
  transition: all 0.3s ease;
}

.chat-box .botcarousel .botcarousel--carousel__container .botcarousel--car__el h1 {
  font-size: 1.125em;
  color: #4137ef;
  text-align: center;
  padding: 1em;
}

.chat-box .botcarousel .botcarousel--carousel__container .botcarousel--car__el img {
  width: 100%;
  border-radius: 40px 40px 0 0;
}

.chat-box .botcarousel .botcarousel--carousel__container .botcarousel--car__el p {
  border-top: 1px solid #D1D1D1;
  padding: 1em 2em;
}

.chat-box .botcarousel .botcarousel--carousel__container .botcarousel--car__el:hover {
  -webkit-transform: scale(1.065);
          transform: scale(1.065);
}

.chat-box .botcarousel .botcarousel--car__arr__left {
  position: relative;
  float: left;
  width: 4em;
  height: 4em;
  margin: 0 1em;
  background-image: url(../../src/assets/icons/Prev_button.svg);
  background-color: #fff;
  background-size: contain;
  cursor: pointer;
}

.chat-box .botcarousel .botcarousel--car__arr__right {
  position: relative;
  float: right;
  width: 4em;
  height: 4em;
  margin: 0 1em;
  background-image: url(../../src/assets/icons/Next_button.svg);
  background-color: #fff;
  background-size: contain;
  cursor: pointer;
}

.chat-box .sr-only {
  width: 1px;
  height: 1px;
  overflow: hidden;
  position: relative;
  float: left;
}

.initBtn {
  position: fixed;
  right: 50px;
  bottom: 50px;
  width: 100px;
  height: 100px;
  border: 2px solid #4137ef;
  border-radius: 50%;
  background-color: #fff;
  background-image: url("../../src/assets/icons/blue_bot_icon.svg");
  background-position: center;
  background-size: 70px;
  background-repeat: no-repeat;
  -webkit-transition: background-color 0.5s;
  transition: background-color 0.5s;
}

.initBtn:hover {
  background-color: #4137ef;
  background-image: url("../../src/assets/icons/white_bot_icon.svg");
}
/*# sourceMappingURL=index.css.map */